- お知らせ -
  • 当wikiのプログラムコードの表示を直してみました(ついでに長い行があると全体が下にぶっ飛ぶのも修正)。不具合があればBBSまでご連絡下さい。

Ubuntu

はじめに Edit

Ubuntu自身のアップグレードに関して

公式サイトにどのバージョンが現在サポートされているか、が記述されています。
参考にしましょう。

基本的にLTS(長期サポート版)は、2年間はサポートされるみたいです。
半年ごとのアップグレードがうざいならば、
LTSからLTSへアップグレードしていけばよいかと思います。

ただし、下記のパッケージのアップグレードは定期的にしましょう。

aptitudeで行っている箇所はaptitudeのバージョンに注意してください。(0.4.5からupgrade→safe-upgrade, dist-upgrade→full-upgradeと名称変更されているみたいです)

パッケージのアップデート Edit

../メーリングリストに入っておこう で入っていると
セキュリティ関連のフィックスなどの連絡があるので、
定期的にパッケージ(つまりソフト全般の)アップデートをしましょう。

sudo aptitude update
sudo aptitude safe-upgrade

でOK。

のはず。

自動で実行させたい時は、../自動アップデートさせる を参考にして下さい。

aptitude safe-upgradeだとkept backされてアップデートできないよヽ(`Д´)ノ ウワァァン!! Edit

aptitude safe-upgrade依存関係解決できないよ!みたいな状態。

↓こんな状態

The following packages have been automatically kept back:
  hogehoge foobar  
The following packages have been kept back:
  unko

そんなときは、aptitude full-upgradeして再起動でOKなはず…。

参考:

OSのアップグレード(リリースごとの) Edit

バージョンの見方は、../バージョンの確認の仕方を参照。

リリースごとに分けて書きます。

アップグレードしたら、必ず再起動しましょう。

参考リンク Edit


No comment. Comments/Ubuntu/アップデート?

Name:

Front page   Edit Freeze Diff Backup Upload Copy Rename Reload   New Pages Search Recent changes   Help   RSS of recent changes
Last-modified: 2010-10-06 Wed 20:05:38 JST (2599d)